Help to install on mac (don't worry I have tried to replace the original patch with the patch_d2.mpq)

View previous topic View next topic Go down

Help to install on mac (don't worry I have tried to replace the original patch with the patch_d2.mpq)

Post by BuBuSan on Fri Oct 24, 2014 9:56 pm

Hi Smile

As the title states, it simply does not function on my mac Sad. It did once, for some stupid reason I decided to delete it. Does anyone have any suggestions to why and what I can do about it?

EDIT:
I have also read that this might be due to a no-cd crack, how can I fix this if I only have the digital version?

BuBuSan
Blood Rogue

Posts : 7
Country : Bosnia and Herzegovina

View user profile

Back to top Go down

Re: Help to install on mac (don't worry I have tried to replace the original patch with the patch_d2.mpq)

Post by WolfieeifloW on Fri Oct 24, 2014 11:37 pm

I'm unsure of Mac's, but try a fresh install.

1. Uninstall everything
2. Install Diablo II (Do Full Install)
3. Download 1.13c
4. Download game.exe
5. Delete patch_d2.mpq and game.exe in your Diablo II directory
6. Extract game.exe out of the downloaded game-lod.zip
7. Place the extracted game.exe in your Diablo II directory
8. Run LODPatch_113c.exe
9. Download D2SE
10. Install D2SE
11. Download Median
12. Extract Median XL - Ultimative out of the downloaded archive
13. Place the entire folder Median XL - Ultimative into the MODS folder, in the Diablo II directory
14. ???
15. Profit!


Or, if you're bad with computers, continuing at 14:
14. Open D2SE
15. In the middle list, after 1.13c LOD Vanilla it will have a picture that says Median XL Ultimative
16. Click on this once
17. Check Use PlugY
18. Double click on the picture in the middle, or, at the top right, click Start Plugin
19. ???
20. Profit!

WolfieeifloW
Death Stalker

Boss
Posts : 860
Country : Canada

View user profile

Back to top Go down

Re: Help to install on mac (don't worry I have tried to replace the original patch with the patch_d2.mpq)

Post by Quirinus on Sat Oct 25, 2014 12:34 am

Thanks Wolfie!
It's so nice not having to be the only one that helps like this.
(kudos to a few people that did it a few times)

I think you can skip the game.exe part. not sure if ultimative works with mac, but I think Marco said it still does, so it should be so.

_____________________
"Zu jeder Zeit, an jedem Ort, bleibt das Tun der Menschen das gleiche."

Quirinus
Creature of Flame

Bloody High Five
Posts : 5567
TGGood none
Country : Croatia

View user profile

Back to top Go down

Re: Help to install on mac (don't worry I have tried to replace the original patch with the patch_d2.mpq)

Post by kambala on Sat Oct 25, 2014 3:23 pm

1. d2 for mac works only on 10.6 (snow leo) or earlier, for higher OS versions you have to use bootcamp/virtual machine/wineskin
2. patch_d2.mpq must be renamed to "Diablo II Patch (Carbon)" (without quotes ofc)
3. MXL works only on 1.10 and later
4. nocd crack is needed when you can't copy all files from the CD => just copy all files and you'll be ok

kambala
Follower of Akarat

Posts : 1417
Country : Ukraine

View user profile http://worldofplayers.ru/forums/769/

Back to top Go down

Re: Help to install on mac (don't worry I have tried to replace the original patch with the patch_d2.mpq)

Post by grimjerk on Sat Oct 25, 2014 9:13 pm

If you have one of the more powerful macs you can always lay your hands on a legit xp disk (shouldn't set you back too much second hand) and install virtual box then xp, then follow wolfie's directions on the virtual machine. As long as you have plenty of memory and don't try to do anything else, it should run ok.

grimjerk
Prince Albrecht

Grumpy Uncle Grimjerk knows best!
Posts : 3009
Country : United States

View user profile

Back to top Go down

Re: Help to install on mac (don't worry I have tried to replace the original patch with the patch_d2.mpq)

Post by Will on Sun Oct 26, 2014 2:59 am

Yet boot camp runs faster than pc of same specs.... so wy.

I'll be honest parallels is running as fast as bootcamp these days and I keep my retina graphics.

Or OP can buy or get a free mac from his uncle who turned his families mainframe store into a... oh wait that's me.

Seriously its better to get a higher functioning mac bc of the latency of median (you can get cert. refurbished cheap or an edu discount) Very Happy

Unfortunately unless you have a connection or can build you own mac, snow leopard (which runs it natively with nocd and bootcamp as well), while the cheapest option, is probably too rare.

That said Frankenmacs are the shit for median. 10.6 all day!

Will
Talic

Mr. Generosity/Former Forumer & Freak :)
Posts : 3859
TGBest Transferred
Country : Armenia

View user profile http://medianxl.net

Back to top Go down

View previous topic View next topic Back to top


 
Permissions in this forum:
You cannot reply to topics in this forum